/**
 * Definition of data needed for SwissTM transaction descriptors.
 * 
 * @author Aleksandar Dragojevic aleksandar.dragojevic@epfl.ch
 */

#include "transaction_mixinv_ir_prio_t.h"
#include "common/timestamp.h"

// validation timestamp
swisstm::GlobalTimestamp commit_ts;

// greedy timestamp
swisstm::GlobalTimestamp cm_ts;

// preallocated descriptors
swisstm::TxMixinvIRPrioT swisstm::TxMixinvIRPrioT::descriptors[MAX_THREADS]
__attribute__ ((aligned(64)));;
