/**
 * Base transaction SwissTM.
 * 
 * @author Aleksandar Dragojevic aleksandar.dragojevic@epfl.ch
 */

#ifndef SWISSTM_TRANSACTION_MIXINV_IR_PRIO_T_BASE_H_
#define SWISSTM_TRANSACTION_MIXINV_IR_PRIO_T_BASE_H_

#include "common/timestamp.h"

namespace swisstm {

	class TxMixinvIRPrioTBase {
		public:
			unsigned valid_ts;

			unsigned get_start_ts() {
				return valid_ts;
			}
	};
}

extern swisstm::GlobalTimestamp commit_ts;

#endif // SWISSTM_TRANSACTION_MIXINV_IR_PRIO_T_BASE_H_
